---
features:
  secondary:
  - name: "License Scanning now starts within its
      stage"
    available_in: [ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/ci/yaml/#needs'
    reporter: NicoleSchwartz
    stage: application_security_testing
    categories:
    - License Compliance
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/287697'
    description: |
      Previously, the default behavior was to start License Scanning when the pipeline started. This behavior was unexpected and inconsistent with other GitLab Secure jobs. The default behavior has now been changed so that License Scanning starts when the stage it's in starts, not when the pipeline starts. If you have customized your `.gitlab-ci.yml` file and want your License Scanning job to only start when its stage starts, remove the `needs: []` statement. If you use the default template and wish to revert the behavior, add the `needs: []` statement.
